PropertiesFileContentMerger (Gradle API 8.11.1)

Package org.gradle.plugins.ide.api

## Class PropertiesFileContentMerger

- java.lang.Object
- - org.gradle.plugins.ide.api.FileContentMerger
  - - org.gradle.plugins.ide.api.PropertiesFileContentMerger

-     public class PropertiesFileContentMerger
      extends FileContentMerger

  Models the generation/parsing/merging capabilities. Adds properties-related hooks.

  For examples see docs for `EclipseJdt` and others.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertiesFileContentMerger​(org.gradle.api.internal.PropertiesTransformer transformer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.gradle.api.internal.PropertiesTransformer` | `getTransformer()` |
    `void` | `setTransformer​(org.gradle.api.internal.PropertiesTransformer transformer)` |
    `void` | `withProperties​(Closure closure)` | Adds a closure to be called when the file has been created.
    `void` | `withProperties​(Action<java.util.Properties> action)` | Adds an action to be called when the file has been created.

    - ### Methods inherited from class org.gradle.plugins.ide.api.FileContentMerger

      `beforeMerged, beforeMerged, getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged, whenMerged, whenMerged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesFileContentMerger

          public PropertiesFileContentMerger​(org.gradle.api.internal.PropertiesTransformer transformer)

  - ### Method Detail

    - #### getTransformer

          public org.gradle.api.internal.PropertiesTransformer getTransformer()

    - #### setTransformer

          public void setTransformer​(org.gradle.api.internal.PropertiesTransformer transformer)

    - #### withProperties

          public void withProperties​(Closure closure)

      Adds a closure to be called when the file has been created. The `Properties` are passed to the closure as a parameter. The closure can modify the Properties before they are written to the output file.

      For examples see docs for `EclipseJdt` and others.

      Parameters:
        `closure` - The closure to execute when the Properties have been created.

    - #### withProperties

          public void withProperties​(Action<java.util.Properties> action)

      Adds an action to be called when the file has been created. The `Properties` are passed to the action as a parameter. The action can modify the Properties before they are written to the output file.

      For examples see docs for `EclipseJdt` and others.

      Parameters:
        `action` - The action to execute when the Properties have been created.